EDIT - task #8868

Bump Jackson dependencies to >= 2.9.10.1
02/29/2020 10:21 AM - Andreas Kohlbecker

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Kohlbecker % Done: 100%
Category: cdmlib Estimated time: 0:00 hour
Target version: Release 5.13

Severity: normal

Description

Currently we are using v2.6.5 which has multiple highly severe security issues:
https://github.com/cybertaxonomy/cdmlib/network/alert/pom.xml/com.fasterxml.jackson.core:jackson-databind/open

Another reason for upgrading is that in the context of #5083 we need to use iiif-apis which requires Jackson >= 2.9.0.

Related issues:
Related to EDIT - feature request #4716: Other dependencies to be updated Closed

Associated revisions

Revision cec7510d - 02/29/2020 10:41 AM - Andreas Kohlbecker
ref #8868 & ref #5083 bumping jackson to 2.10.2

Revision 029ea231 - 03/02/2020 10:37 AM - Andreas Kohlbecker
ref #8868 updating jetty to 9.2.9.v20150224

Revision aea75171 - 03/02/2020 02:22 PM - Andreas Kohlbecker
ref #8868 updating jetty to 9.4.26.v20200117

Revision 5¢3f2528 - 03/02/2020 03:39 PM - Andreas Kohlbecker
ref #8868 managing jetty-version as property from parent pom v=9.4.26.v20200117

Revision 959179bc - 03/02/2020 05:36 PM - Andreas Kohlbecker
ref #8868, ref #8873 fixing build lifecycle for maven 3.6.*

Revision 2174ddff - 03/02/2020 06:16 PM - Andreas Kohlbecker
ref #8868 configuring jetty-maven-plugin to support packaging 'eclipse-test-plugin’

Revision 33d62613 - 03/03/2020 10:28 AM - Andreas Kohlbecker
ref #8868 upgrading to jetty 9.4.26.v20200117

Revision 088ca9bf - 03/04/2020 08:07 AM - Andreas Kohlbecker
ref #8868 adding jetty-http to plugin

Revision add676c0 - 03/04/2020 08:11 AM - Andreas Kohlbecker
ref #8868 adding jetty-io to plugin

Revision 0eb94f0f - 03/04/2020 02:13 PM - Andreas Kohlbecker
ref #8868 adding jetty-security to copy dependencies

History

#1 - 02/29/2020 10:24 AM - Andreas Kohlbecker
IMPORTANT: the newer jackson jars are JEP-238 Jar, therefore it is needed to upgrade all usages of Jetty to 9.4.9 (or newer)

Jetty 9.4.15 works well, whereas | had problems with 9.4.27
https://github.com/cybertaxonomy/cdmlib/network/alert/pom.xml/com.fasterxml.jackson.core:jackson-databind/open
https://dev.e-taxonomy.eu/redmine/issues/5083

#2 - 02/29/2020 10:26 AM - Andreas Kohlbecker

Andreas Kohlbecker wrote:
IMPORTANT: the newer jackson jars are JEP-238 Jar, therefore it is needed to upgrade all usages of Jetty to 9.4.9 (or newer)

Jetty 9.4.15 works well, whereas | had problems with 9.4.27

cdm-server is already upgraded to 9.4.26.v20200117

#3 - 02/29/2020 10:29 AM - Andreas Kohlbecker

The maven-jetty plugins in cdmlib-remote-webapp and in cdm-vaadin are on 9.4.15.v20190215

#4 - 03/02/2020 01:47 PM - Andreas Kohlbecker
- Status changed from New to In Progress

- % Done changed from 0 to 20

#5 - 03/02/2020 09:25 PM - Andreas Kohlbecker
- Status changed from In Progress to Feedback
- Assignee changed from Andreas Kohlbecker to Katja Luther

- % Done changed from 20 to 40

waiting for Katja checking the if the last problem in the taxeditor project is caused by something else:

Eigentlich sollte alles wieder funktionieren, jedoch schlagt der eu.etaxonomy.taxeditor.service.ProgressMonitorServiceTest fehl

wenn man mvn clean install auf dem kompletten Projekt macht. Wenn ich den Test separat ausfiihre, also mvn integration-test nur auf
taxeditor/eu.etaxonomy.taxeditor.test oder aus Eclipse heraus l&uft er durch.

Ich bin mir nicht sicher ob das noch was mit meinen Anderungen zu tun hat. Vielleicht kénntest du Katja dir das mal ansehen?

#6 - 03/05/2020 11:55 AM - Katja Luther

this seems to be fixed.

#7 - 03/05/2020 11:55 AM - Katja Luther
- Status changed from Feedback to Closed
- Assignee changed from Katja Luther to Andreas Kohlbecker

- % Done changed from 40 to 100

#8 - 08/20/2020 12:11 AM - Andreas Miiller
- Related to feature request #4716: Other dependencies to be updated added
